<div class="card card-filters px-2 my-2">
    <div class="card-header">
        <h6 class="card-title mb-0 primary font-medium-0">{{title}}</h6>
    </div>
    <div class="card-body">
        <div class="card-block">
            <form novalidate [formGroup]="filtersForm" (ngSubmit)="onSubmit()">
                <div class="row">
                    <div class="col-md-12 px-0">
                        <ng-container *ngFor="let filter of filters">
                            <ng-container [ngSwitch]="filter.type">
                                <div class="col-md-4 display-inline-block" *ngSwitchCase="'select'">
                                    <app-select [form]="filtersForm" [filter]="filter" (changeItem)="changeItem($event)">
                                    </app-select>
                                </div>
                                <div class="col-md-4 display-inline-block" *ngSwitchCase="'input-date'">
                                    <app-input-date [form]="filtersForm" [filter]="filter"></app-input-date>
                                </div>
                                <div class="col-md-4 display-inline-block" *ngSwitchCase="'input'">
                                    <app-input [form]="filtersForm" [filter]="filter"></app-input>
                                </div>
                                <div class="col-md-4 display-inline-block" *ngSwitchCase="'select-search-multiple'">
                                    <app-select-search-multiple [form]="filtersForm" [filter]="filter">
                                    </app-select-search-multiple>
                                </div>
                                <div class="col-md-4 display-inline-block" *ngSwitchCase="'select-search-simple'">
                                    <app-select-search-simple [form]="filtersForm" [filter]="filter"
                                        (changeItem)="changeItem($event)"></app-select-search-simple>
                                </div>
                                <div class="col-md-4 display-inline-block" *ngSwitchCase="'input-date-range'">
                                    <app-input-date-range [form]="filtersForm" [filter]="filter"
                                        (range)="sendRange($event)"></app-input-date-range>
                                </div>
                            </ng-container>
                        </ng-container>
                        <div class="col-actions px-0 float-right">
                            <button type="submit" class="float-right btn btn-raised btn-secondary mb-0 font-small-2"
                            [disabled]="!filtersForm.valid">
                                Buscar</button>
                            <button type="button"
                                class="float-right btn btn-raised btn-link-secondary btn-sm mb-0 font-small-2"
                                (click)="resetFilters()">
                                Borrar filtros </button>
                        </div>
                    </div>
                </div>
            </form>
        </div>
    </div>
</div>